# Installations

## Step 1 ➡ Dependencies&#x20;

This is one of the most important parts, since without the dependencies, the resource will never work or not start, here we will list the dependencies with their respective links for you to download and add them to your server.

{% embed url="<https://github.com/overextended/oxmysql>" %}

{% embed url="<https://github.com/overextended/ox_lib>" %}

### Pre-configured for ox\_target in client\_editable.lua, you can change it.

## Step 2 ➡ Resources in server.cfg

{% hint style="warning" %}
if you are using ESX ➡ NEVER, but NEVER, you must place the resources above `es_extended`, if you do this they will never work and will throw errors
{% endhint %}

The correct order of the resources is as follows, always keeping <mark style="color:orange;">es\_extended</mark> and its cores above, but the other normal resources below

```
ensure sfjail
```

## Step 3 ➡ Database

Run query/SQL query and paste below code.

{% code fullWidth="false" %}

```sql
-- for ESX
ALTER TABLE `users` ADD `jail_time` INT(5) NOT NULL DEFAULT 0;

-- for QB-Core
ALTER TABLE `players` ADD `jail_time` INT(5) NOT NULL DEFAULT 0;

-- for Other Framework
ALTER TABLE `yourTableWithUsers` ADD `jail_time` INT(5) NOT NULL DEFAULT 0;

```

{% endcode %}

## Step 4 ➡ Click on [Config](/resources/sfjail/config.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scriptsfivem.com/resources/sfjail/installations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
